
/*
impostazioni pagina 
*/

body, html {
  background-color: #FFFFFF!IMPORTANT;
  width: 100%!IMPORTANT;
  height: 100%!IMPORTANT;
  margin: 0 auto;
  padding: 0;
  color: #353535;
}

/*
main layout : testata - coprpo - footer 
definizione sezioni e div contenitori (la sezione non ha attributi modificabili)
*/
.section-container {
    width: 100%!IMPORTANT;
    height: 100%!IMPORTANT;
    display: table;
}

.section-header {
    z-index:2;
    height: 6vh;
    position: fixed;
    left: 0;
    top: 0;
    width: 100vw;
    box-shadow: 0 4px 5px -5px #333;
}
.header-content {
    /*height:3vh;*/
    display: table-cell;
    vertical-align: middle;
	width:100vw!IMPORTANT;
}

.section-body   {
    overflow:auto;
    height: 88vh;
    margin-top: 6vh;
}
.body-content   {
    position: relative;
    margin:0;
    height:88vh;
}
.section-footer {
    z-index:2;
    height: 6vh;
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100vw;
    box-shadow: 0 -4px 5px -5px #333;
	border:1px solid black;
}
.footer-content   {
    height:1%;
    display: table-cell;
    vertical-align: middle;
}

.content-bottom {
    z-index:1;
    height: 6vh;
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100vw;
    padding-top:8px;
    background:#e6f8d1;
    border-top:1px solid #6ca150;
    }
h6 {
    display: inline-flex;
    align-items: center;
    margin-bottom: 0;
    color: #666;
    }
h6  {  font-size: 1em; }

.ubar-dynamic {
  container: ubar-dynamic/inline-size;
  overflow: hidden;
  resize: horizontal;
  margin-bottom:6vh;
  h6 {  font-size: 9cqw!IMPORTANT;  line-height: 1em!IMPORTANT; }
  }

.bordered{
  border-right:1px solid #383838;
  border-left:1px solid #383838;
}

/*
contenitori per scrollare il contenuto nel body
*/

.background-darkmuted {
  background-color: #e6f8d1;
}
.maxscrollbox {   
    width:100vw!IMPORTANT;
    overflow: auto;
    position:relative;
    height:100%;
    z-index:0;
}

.maxscrollbox90 {
    width:100vw!IMPORTANT;
    overflow: auto;
    position:relative;
   height:100%;
   z-index:0;
}

.midscrollbox {   
    /*scontrino - lasco spazio per il footer*/
    overflow: auto;
    height: 40%;
    max-height: 40%;
    /* border:1px solid blue; */
    font-family:"FPrinter";
}



/*
datatable hacks - mascondo filtri e headers per risparmiare spazio
*/

#listTable_filter{
    position: absolute;
    top: 0;
    left: -9999px;
}
#listTable thead{
    display:none;
}
.smallrowtext{
    font-size:0.7em!IMPORTANT;
}

.icospacer{  
  padding:0 1em 0 1em;
}
/*
sovrascritture classi DATATABLE
*/

td.dataTables_empty   {   
    text-align:center!IMPORTANT;
    min-height:40vh;
}
#table-doccom_info  {   display:none; }
#table-riepilogo_info  {   display:none; }
#table-vigilanza_info  {   display:none; }

#table-doccom_filter { margin-bottom:10px;!IMPORTANT;  }
#table-riepilogo_filter { margin-bottom:10px;!IMPORTANT;  }
#table-vigilanza_filter { margin-bottom:10px;!IMPORTANT;  }

/*pagine admin*/
#table-utenti_filter { margin-bottom:10px;!IMPORTANT;  }
#table-utenti_info  {   display:none; }

/*
sovrascritture classi UIKIT 
*/

/*
.uk-offcanvas   {   
    font-size: 1.2rem!IMPORTANT
}*/
.uk-nav-default   {   
    font-size: 1.1em!IMPORTANT;
}
.left-nav-wrap    {
  /*non funziona cercare altro elemento*/
  /*font-size: 1.2em!IMPORTANT;*/
}


.uk-offcanvas-bar   {   
    width:100%!IMPORTANT;
}
.uk-subnav-pill > * > :first-child  {   
    padding: 9px 10px!IMPORTANT;
}
.uk-grid{
    margin-top:0px!IMPORTANT;
}
.uk-table-cart td {
  padding: 5px 5px!IMPORTANT;
  vertical-align: middle!IMPORTANT;
}
.uk-modified-box    {
    border:1px solid #9f9f9f;
    margin:0 1em 0!IMPORTANT;
    
}
.uk-modified-cart-width    {   
    max-width:100vw!IMPORTANT;
}

.uk-wait {cursor: wait;}

.iconsize   {
	font-size: 3em!IMPORTANT;	
}

/*Integrazione classi uikit*/

.uk-background-green {
  background-color: #bbea54;
  /*border:3px solid #bbea54 !IMPORTANT; */
  color: #333333;
}
.uk-background-lightgreen {
  background-color: #ffffff;
}

a.lightlink, a.lightlink:link, a.lightlink:visited, a.lightlink:hover, a.lightlink:active {
  color: white!IMPORTANT;
  text-decoration: none;
}
a.darklink, a.darklink:link, a.darklink:visited, a.darklink:hover, a.darklink:active {
  color: #353535!IMPORTANT;
  text-decoration: none;
}


a.uk-button-primary:link, a.uk-button-primary:visited, a.uk-button-primary:active 	{ color: #ffffff!IMPORTANT;	}
a.uk-button-primary:hover 	{ color: #ffffff!IMPORTANT;	}
.uk-button-primary {
  color: #ffffff;
  background-color: #00aa00;
  border: 1px solid transparent;
}
.uk-button-primary:hover,
.uk-button-primary:focus {
 color: #ffffff;
  background-color: #00aa00;
  border: 1px solid transparent;
}
.uk-button-primary:active,
.uk-button-primary.uk-active {
 color: #ffffff;
  background-color: #00aa00;
  border: 1px solid transparent;
}

a.uk-button-warning:link, a.uk-button-warning:visited, a.uk-button-warning:active 	{ color: #ffffff!IMPORTANT;	}
a.uk-button-warning:hover 	{ color: #ffffff!IMPORTANT;	}
.uk-button-warning {
  color: #ffffff;
  background-color: #faa732;
  border: 1px solid transparent;
}
.uk-button-warning:hover,
.uk-button-warning:focus {
 color: #ffffff;
  background-color: #faa732;
  border: 1px solid transparent;
}
.uk-button-warning:active,
.uk-button-warning.uk-active {
 color: #ffffff;
  background-color: #faa732;
  border: 1px solid transparent;
}

a.uk-button-yellow:link, a.uk-button-yellow:visited, a.uk-button-yellow:active 	{ color: #6d6d6d!IMPORTANT;	}
a.uk-button-yellow:hover 	{ color: #6d6d6d!IMPORTANT;	}
.uk-button-yellow {
  color: #6d6d6d;
  background-color: #ffff7f;
  border: 1px solid transparent;
}
.uk-button-yellow:hover,
.uk-button-yellow:focus {
 color: #6d6d6d;
  background-color: #ffff7f;
  border: 1px solid transparent;
}
.uk-button-yellow:active,
.uk-button-yellow.uk-active {
 color: #6d6d6d;
  background-color: #ffff7f;
  border: 1px solid transparent;
}
/*
.uk-card-lightgreen {
  --uk-inverse: light;
  background-color: #b5c3a4;
  color: #6d6d6d;
  box-shadow: 0 5px 15px rgba(0,0,0,.08);
}
*/

/* elementi vari sidemenu */
.panel-icons    {   }
.left-logo {
  height: 25px;
}
.custom-logo {  height: 75px; margin-top: -20px;  }
.left-content-box {
  /*width:50%;*/
  padding: 0.75rem 20px;
  border-top: 1px solid rgba(255,255,255,0.06);
  margin-bottom: -1px;
}
.profile-submenu{
  font-size: 1.1em!IMPORTANT;
}
.profile-img {
  width: 60px;
  margin: 0 auto 10px auto;
  display: block;
}


.progress-menu {
  margin-top: 0.25rem;
}
.progress-menu {
  height: 3px;
  margin-bottom: 0.5rem;
  background-color: rgba(0,0,0,0.23);
}
.progress-menu {
  vertical-align: baseline;
  display: block;
  width: 100%;
  border: 0;
  background-color: #f8f8f8;
  margin-bottom: 20px;
  height: 15px;
  border-radius: 500px;
  overflow: hidden;
}
